#!/usr/bin/env python3

from time import sleep

from ev3dev2.motor import LargeMotor, OUTPUT_A, OUTPUT_B
from ev3dev2.sensor import INPUT_1
from ev3dev2.sensor.lego import TouchSensor
from ev3dev2.led import Leds
from pixycamev3.pixy2 import Pixy2

pixy2 = Pixy2(port=1, i2c_address=0x54)


leds = Leds()
while True: 
    nr_blocks, blocks = pixy2.get_blocks(1, 2)
    nr_blocks2, block= pixy2.get_blocks(2,2)
    # Extract data of first (and only) block
    if nr_blocks > 0:
        sig = blocks[0].sig
        x = blocks[0].x_center
        y = blocks[0].y_center
        w = blocks[0].width
        y = blocks[0].height
        print('Number=',nr_blocks)
        print('sign=',sig)
    elif nr_blocks2 > 0:
        sig2 = block[0].sig
        x2 = block[0].x_center
        y2 = block[0].y_center
        w2 = block[0].width
        y2 = block[0].height
        print('Number=',nr_blocks2)
        print('sign=',sig2)
    else:
        print('nothing found')
    
    sleep(2)